> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoinvoice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project

> Get a project.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/projects.yaml GET /projects/{project_id}
openapi: 3.0.3
info:
  title: NeetoInvoice APIs
  version: 2.0.0
servers:
  - description: NeetoInvoice APIs
    url: https://{your-subdomain}.neetoinvoice.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
paths:
  /projects/{project_id}:
    get:
      tags:
        - Projects
      summary: Get project details
      description: Get a project.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/project_id_param'
      responses:
        '200':
          description: OK - Project details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/project_details_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    project_id_param:
      in: path
      name: project_id
      description: >-
        Unique ID of the project for which you want to retrieve or update
        details. Refer to [Getting the Project
        ID](/getting-started/getting-project-id) section for detailed
        instructions.
      required: true
      schema:
        type: string
      example: e34204233797f4b637c5
  schemas:
    project_details_response:
      type: object
      properties:
        project:
          type: object
          properties:
            id:
              type: string
              format: uuid
            identifier:
              type: string
            client_id:
              type: string
              format: uuid
            internal_notes:
              type: string
            name:
              type: string
            hourly_rate:
              type: number
              format: float
            flat_amount:
              type: number
              format: float
              nullable: true
            status:
              type: string
            flat_amount_with_currency:
              type: string
            hourly_rate_with_currency:
              type: string
            creator_name:
              type: string
            currency:
              type: string
            client:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                name:
                  type: string
                identifier:
                  type: string
                internal_notes:
                  type: string
                  nullable: true
                currency:
                  type: string
                status:
                  type: string
            billing_method:
              type: string
            fixed_price_project:
              type: boolean
            hourly_person_rate:
              type: boolean
            hourly_task_rate:
              type: boolean
            hourly_project_rate:
              type: boolean
            currency_symbol:
              type: string
            recurring_invoice:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                enabled:
                  type: boolean
                first_issue_date:
                  type: string
                  format: date
                  nullable: true
                frequency:
                  type: integer
                frequency_type:
                  type: string
                time_to_send:
                  type: string
                  nullable: true
                timezone:
                  type: string
                interval:
                  type: string
            invoice_count:
              type: integer
        tasks:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              name:
                type: string
              hourly_rate:
                type: number
                format: float
              deleted:
                type: boolean
              hourly_rate_with_currency:
                type: string
              is_billable:
                type: boolean
        checklists:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              task_name:
                type: string
              items:
                type: array
                items:
                  type: string
              required:
                type: array
                items:
                  type: boolean

````